%define	name	eeze
%define version 20131105
%define release %mkrel 1
%define realversion 1.7.9

Summary: Eeze is a library for easily manipulating devices.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
Source:		%name-%realversion.tar.xz
BuildRoot: %{_tmppath}/%{name}-buildroot
# Common
BuildRequires: gettext-devel
BuildRequires: %{_lib}udev0-devel
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel
BuildRequires:	efreet-devel
BuildRequires:	embryo-devel
BuildRequires:	edje-devel
BuildRequires:	e-dbus-devel

%description
Eeze is a library for easily manipulating devices.

%package devel
Summary: Headers and development libraries from %{name}
Group: Development/Libaries
Requires: %name = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries

%prep
%setup -q -n %name-%realversion

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/libeeze.so.*
%_bindir/*

%files devel
%defattr(-,root,root)
%_libdir/pkgconfig/eeze.pc
%_libdir/libeeze.so
%_includedir/eeze-1

%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
